MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::ReadMolecularHessian Class Reference

ReadMolecularHessian is an implementation of MolecularHessian that reads the hessian from a file. More...

`#include <hess.h>`

Inheritance diagram for sc::ReadMolecularHessian:

List of all members.

## Public Member Functions

| ReadMolecularHessian (const Ref< KeyVal > &)
| The ReadMolecularHessian KeyVal constructor is used to generate a ReadMolecularHessian object from the input.
| ReadMolecularHessian (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
RefSymmSCMatrix | cartesian_hessian ()
| Return the hessian in cartesian coordinates.

## Protected Attributes

char * | filename_

## Detailed Description

ReadMolecularHessian is an implementation of MolecularHessian that reads the hessian from a file.

## Constructor & Destructor Documentation

sc::ReadMolecularHessian::ReadMolecularHessian | ( | const Ref< KeyVal > & |  | ) |

The ReadMolecularHessian KeyVal constructor is used to generate a ReadMolecularHessian object from the input.

It reads the keywords below.

Keyword | Type | Default | Description
`filename` | string | basename `.hess` | The name of the file from which the hessian is read.

## Member Function Documentation

void sc::ReadMolecularHessian::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularHessian.

The documentation for this class was generated from the following file:

- hess.h